Race Condition

Affecting org.elasticsearch:elasticsearch artifact, versions [,6.8.2) || [7.0.0, 7.2.1)

Do your applications use this vulnerable package? Test your applications

Overview

org.elasticsearch:elasticsearch is a Distributed, RESTful Search Engine.

Affected versions of this package are vulnerable to Race Condition. On a system with multiple users submitting requests, it could be possible for an attacker to gain access to response header containing sensitive data from another user.

Remediation

Upgrade org.elasticsearch:elasticsearch to version 6.8.2, 7.2.1 or higher.

References

CVSS Score

5.9
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Credit
Unknown
CVE
CVE-2019-7614
CWE
CWE-362
Snyk ID
SNYK-JAVA-ORGELASTICSEARCH-460545
Disclosed
30 Jul, 2019
Published
02 Sep, 2019